import boinc_components.boinc_commands as BOINC_COMMAND

from load_balancer.boinc.heater_instance import HeaterInstance
from boinc_components.boinc_host import BoincHost

def main():
    print("-------------------------------")
    print("Load Balancer has been started.")
    print("-------------------------------")

    address = "494216f3-d1df-4ec0-ae1c-51f6643adc4a.fr.bw-cloud-instance.org"
    password = "&!dBgncRmwnjurJXyhK>#G%PTy$H]kt0"
    host = BoincHost(address, password)
    instance = HeaterInstance(host)
    output = instance.execute_command_and_return_output(BOINC_COMMAND.GET_STATE)

    print(output)

if __name__ == "__main__":
    main()